States
List states
Scope: state:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Query Parameters
filter?filter
Filter expression using the PEG filter DSL.
Common filter fields:
component_id-- states for a specific component (UUID).environment_id-- states for a specific environment (UUID).application_id-- states for all components belonging to an application (UUID). The server resolves the application's components and returns states for all of them. Can be combined withenvironment_id.
Length
length <= 1024page_size?page_size
Maximum number of states to return per page.
Format
int32Range
0 <= value <= 100page_token?page_token
Opaque pagination token from a previous response.
Response Body
application/json
curl -X GET "https://admiral.example.com/api/v1/states"{ "states": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "serial": 0, "md5": "string", "lineage": "string", "size_bytes": 0, "lock": { "lock_id": "c7590aa3-358c-4ba6-a3b5-87d5f487fd16", "operation": "string", "who": "string", "version": "string", "acquired_at": "2023-01-15T01:30:15.01Z" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" } ], "next_page_token": "string"}